Skip to content
English

List conversations

GET/v1/mailboxes/{mailbox_id}/threads

Returns up to 100 dialogs, starting with the most recently updated ones. Messages from folders Trash and Junk are not included in the list. The new message may appear with a slight delay; retry the request to update the list.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/threads' \
-H 'Authorization: Bearer <access_token>'

Parameters

mailbox_idpathNecessarily

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

array

Array elements

object

thread_id

string

updated_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

messages

integer

unread

integer

senders

array

Array elements

string

subject

string

sender

string

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object